Bug 1905758 (CVE-2020-27831) - CVE-2020-27831 quay: email notifications authorization bypass
Summary: CVE-2020-27831 quay: email notifications authorization bypass
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-27831
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1939569 1905285
TreeView+ depends on / blocked
 
Reported: 2020-12-09 01:27 UTC by Jason Shepherd
Modified: 2021-05-26 14:14 UTC (History)
4 users (show)

See Also:
Fixed In Version: Quay 3.3.3
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Red Hat Quay, where it does not properly protect the authorization token when authorizing email addresses for repository email notifications. This flaw allows an attacker to add email addresses they do not own to repository notifications.
Clone Of:
Environment:
Last Closed: 2021-01-11 12:27:46 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:0050 0 None None None 2021-01-11 07:33:31 UTC

Description Jason Shepherd 2020-12-09 01:27:03 UTC
Red Hat Quay doesn't properly protect the authorization token when authorizing email address for repository email notifications. An attacker can use this flaw to add email address which they don't own to repository notifications.

Comment 4 Jason Shepherd 2020-12-09 23:16:08 UTC
Upstream commit:
https://github.com/quay/quay/pull/614

Comment 5 Jason Shepherd 2020-12-09 23:21:51 UTC
Acknowledgments:

Name: Chen Cohen (eBay)

Comment 6 Jason Shepherd 2020-12-10 00:21:51 UTC
Mitigation:

Disable email using the configuration app.

Comment 7 errata-xmlrpc 2021-01-11 07:33:30 UTC
This issue has been addressed in the following products:

  Red Hat Quay 3

Via RHSA-2021:0050 https://access.redhat.com/errata/RHSA-2021:0050

Comment 8 Product Security DevOps Team 2021-01-11 12:27:46 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-27831


Note You need to log in before you can comment on or make changes to this bug.